Verifying that timeout is installed
diff --git a/utils/ci/check_manual_usage_example.sh b/utils/ci/check_manual_usage_example.sh
index 6b9bc3f..2ad3d24 100755
--- a/utils/ci/check_manual_usage_example.sh
+++ b/utils/ci/check_manual_usage_example.sh
@@ -39,6 +39,12 @@
     sudo apt-get install -y screen
     screen --version | grep 'Screen version'
 fi
+if ! timeout --version; then
+    # Install coreutils for the timeout command
+    sudo apt-get update -qq -y
+    sudo apt-get install -y coreutils
+    timeout --version
+fi
 # Initial cleanup
 pkill -f 'screen -L -S sonemu' || true
 screen -wipe || true